VirtualBox

Ticket #1730 (reopened defect)

Opened 6 years ago

Last modified 19 months ago

VirtualBox installation failure on Windows

Reported by: Bard Owned by:
Priority: critical Component: installer
Version: VirtualBox 2.0.2 Keywords:
Cc: Guest type: other
Host type: Windows

Description

When I try to install VirtualBox 1.6.2, at the end of the installation it says "Rolling back action", removes all previously installed files and then the installation gives me the following message: "Sun xVM VirtualBox setup ended prematurely because of an error. Your system has not been modified. To install this program at a later time, please run the installation again." UAC is disabled, I'm using the Administrator account and the last updates are installed. Computer is a Intel Core 2 Quad Q9450. I also have tried this on another PC (AMD Athlon 64 3400+, using Vista 64 SP1 too, and it worked fine) I have tried closing at first and even uninstalling later all software that could create issues (Firewall, Antivirus, ...) I'll include the MSI log (for the little I managed to understand from that it does seem that the issue is an error while installing some drivers)

Attachments

log.txt Download (80.1 KB) - added by Bard 6 years ago.
MSI log
MSIa5e3.zip Download (44.9 KB) - added by mlaccetti 5 years ago.
Vista SP1 64-bit Rollback Log
MSI22a3b.zip Download (44.2 KB) - added by dtanderson 5 years ago.
setupapi.app.log Download (1.1 KB) - added by Bard 5 years ago.
msi.log Download (72.1 KB) - added by Armada 5 years ago.
MSI2ad37.zip Download (43.3 KB) - added by peEtr 5 years ago.
MSI log
setupapi.app.2.log Download (2.4 KB) - added by mlaccetti 5 years ago.
setupapi.app.3.log Download (935 bytes) - added by Surye 5 years ago.
log.2.txt.zip Download (56.7 KB) - added by waddleman 5 years ago.
Failed MSI log an a WinXP SP3 machine.
setupapi.log Download (86.4 KB) - added by rodspade 5 years ago.
installation of 2.1.0-41146-Win_x86 FAILED on XP Pro 2002 SP3
setupapi.2.log Download (62.4 KB) - added by liyuan8848 5 years ago.
vbox.zip Download (47.8 KB) - added by bjevers 5 years ago.
vbox.2.zip Download (47.8 KB) - added by bjevers 5 years ago.
setupapi.app.4.log Download (1.4 KB) - added by bjevers 5 years ago.
setupapi.3.log Download (4.4 KB) - added by gvancuts 5 years ago.
MSI44dd7.zip Download (48.9 KB) - added by mindriot101 5 years ago.
logs.rar Download (238.1 KB) - added by Solo761 5 years ago.
installer log and driver install logs
setupapi.4.log Download (100.1 KB) - added by andyw 5 years ago.
vb21_setup.log.zip Download (51.3 KB) - added by andyw 5 years ago.
setupapi.app.5.log Download (14.4 KB) - added by mikelward 5 years ago.
setupapi.dev.log Download (1.1 KB) - added by mikelward 5 years ago.
Logs.zip Download (127.7 KB) - added by hannibalstgt 5 years ago.
submitted by hannibalstgt on Thursday 01/21/2009 - VBox 2.1.2
amram99 logs jan_23_2008.zip Download (100.0 KB) - added by amram99 5 years ago.
MSI4ac39.zip Download (52.6 KB) - added by mikelward 5 years ago.
MSI logs (zipped) from Jan 22 install attempt (should correspond to already uploaded setupapi.app.5.log and setupapi.dev.log)
setupapi.5.log Download (3.6 KB) - added by dave_c 5 years ago.
vb-2.1.4_installation.zip Download (35.2 KB) - added by skin27 5 years ago.
setupapi.6.log Download (7.0 KB) - added by skin27 5 years ago.
MSIac86c.zip Download (45.4 KB) - added by aquadrop 5 years ago.
Installation (failed) log file
Untitled-1.jpg Download (37.3 KB) - added by aquadrop 5 years ago.
Regedit after failed repair and uninstall
amc-logs.zip Download (56.6 KB) - added by amc 5 years ago.
The logs from my failed install of 3.04
MSI227a2.zip Download (47.9 KB) - added by adeep 4 years ago.
Virtualbox v 3.1.2 Setup fail msi log
MSI90e52.rar Download (32.4 KB) - added by Cime 3 years ago.
Cime's problem
VBoxInstall.rar Download (85.8 KB) - added by co22 19 months ago.

Change History

Changed 6 years ago by Bard

MSI log

comment:1 Changed 6 years ago by dtanderson

I have the exact same issue. I also had the problem with version 1.6.0

comment:2 Changed 6 years ago by frank

  • Host type changed from other to Windows

comment:3 Changed 6 years ago by frank

  • Component changed from other to installer

comment:6 Changed 6 years ago by mejobloggs

I'm also having this problem. Trying to upgrade from 1.6.2 to 1.6.4

Vista Home Prem SP1

Every time I try to uninstall 1.6.2 it fails, and I can't install 1.6.4. It is now in an unusable state and I cant remove it :(

comment:7 Changed 6 years ago by dtanderson

I have tried every version up to 2.02 and I cannot get any of them to install on Vista Ultimate 64.

comment:8 Changed 5 years ago by sandervl73

  • Priority changed from major to critical

comment:9 Changed 5 years ago by sandervl73

  • Version changed from VirtualBox 1.6.2 to VirtualBox 2.0.2

comment:10 Changed 5 years ago by sandervl73

  • Summary changed from Can't install VirtualBox 1.6.2 on Windows Vista Ultimate 64 SP1 to VirtualBox installation failure on Windows

comment:11 Changed 5 years ago by masteryoda34

I experience same problem. Running Vista Ultimate 64bit on AMD X2 5200. Log: http://masteryoda34.googlepages.com/MSI49f3b.log

comment:12 Changed 5 years ago by pentagonik

Did you also try it with the newest version (2.0.4) of VirtualBox? Please post the log here then.

comment:13 Changed 5 years ago by dtanderson

I have tried 2.0.4 and still have this issue.

comment:14 Changed 5 years ago by pentagonik

@dtanderson: Could you please attach your log file of the installer here? See  http://www.virtualbox.org/wiki/MSI_Logging how to create this log file. Thanks!

Changed 5 years ago by mlaccetti

Vista SP1 64-bit Rollback Log

comment:15 Changed 5 years ago by mlaccetti

I uploaded my error log - I had to zip it since I ran into the 400k limit for uploads.

comment:16 Changed 5 years ago by mlaccetti

As an aside, I disabled UAC and System Restore - I'm not sure if this is a common factor with this error.

comment:17 Changed 5 years ago by mlaccetti

AAAAnd another thing: DEP is turned off completely.

comment:18 Changed 5 years ago by dtanderson

Fails on 2.0.6 also. error log attached

Changed 5 years ago by dtanderson

comment:19 Changed 5 years ago by pentagonik

To all who still have problems installing VBox: Please get the "Windows Installer CleanUp Utility" from  http://support.microsoft.com/kb/290301/ and run it. It tries to clean up some things regarding the Windows installer database.

Also, re-registering the Windows installer service might help. For doing that, open a Windows command line and type:

msiexec /unregister
msiexec /register
regsvr32 msi.dll
regsvr32 msihnd.dll

To get some more information about this issue, please attach your "setupapi.log" (usually in C:\Windows) files here. Please delete the old "setupapi.log" files *before* starting the VBox installer to not mix old things up. Thanks.

Changed 5 years ago by Bard

comment:20 Changed 5 years ago by Bard

still not working, I also tried installing only the core of VirtualBox (without usb and networking but it doesn't work either).

Changed 5 years ago by Armada

comment:21 Changed 5 years ago by Armada

I tried disabling background applications, I even ran a diagnostic start-up and then enabling the installer service but even that didn't work.

comment:22 Changed 5 years ago by peEtr

I would like to add that I am having the same issue detailed in this ticket. I have tried the above suggestion of running Windows Installer Cleanup Utility and re-registering the Windows installer service. I still cannot install VirtualBox.

I am using Vista Ultimate x64. I have a Intel Q9450 with 8GB of RAM. I tried to install with 2.0.6 x64, and also 2.0.4 x64.

comment:23 Changed 5 years ago by mlaccetti

Same problem happens when I try to install Microsoft Virtual PC, but not VMware Workstation 6.5.

Changed 5 years ago by peEtr

MSI log

comment:24 Changed 5 years ago by dtanderson

Everyone that is having problems, do you have UAC enabled or disabled? I have not tried with version 2.1.0 yet, I will try it tonight.

comment:25 Changed 5 years ago by mlaccetti

UAC is off. 2.1.0 is also not working.

comment:26 Changed 5 years ago by peEtr

UAC is disabled on mine as well.

comment:27 Changed 5 years ago by dtanderson

I had UAC off also. I tried turning it back on and it still failed. I cannot get version 2.1.0 to install either. Still a no go.....

comment:28 Changed 5 years ago by pentagonik

To all which VBox installation isn't working yet: Please attach your "setupapi.dev.log" (usually in C:\Windows\Inf) files here. Please delete the old "setupapi.dev.log" files *before* starting the VBox installer to not mix old things up. This should give me a lot more detail especially for Vista. Thanks.

comment:29 Changed 5 years ago by peEtr

I don't know if it was the setupapi.dev.log deletion or 2.1.0 installation, but I was able to finish the installation this time. This is the first time I've attempted to install 2.1.0.

comment:30 Changed 5 years ago by mlaccetti

I deleted the log, but it was not recreated when I tried to install 2.1.0. (Still failed...)

Changed 5 years ago by mlaccetti

comment:32 Changed 5 years ago by mlaccetti

It creates a setupapi.app.log file. I have attached it.

Changed 5 years ago by Surye

comment:33 Changed 5 years ago by Surye

Same problem as the others, Vista 64 Bit, UAC off.  http://pastebin.com/fc6bb944 for Setup log.

Changed 5 years ago by waddleman

Failed MSI log an a WinXP SP3 machine.

comment:34 follow-up: ↓ 35 Changed 5 years ago by Bard

finally the "ethernet card" drivers install correctly isntead of rolling back, it's working for me

Changed 5 years ago by rodspade

installation of 2.1.0-41146-Win_x86 FAILED on XP Pro 2002 SP3

comment:35 in reply to: ↑ 34 Changed 5 years ago by liyuan8848

Replying to Bard:

finally the "ethernet card" drivers install correctly isntead of rolling back, it's working for me

VirtualBox-2.1.0-41146-Win_x86.msi Installation failed showing virtualbox setup wizard ended prematurely

Changed 5 years ago by liyuan8848

Changed 5 years ago by bjevers

Changed 5 years ago by bjevers

Changed 5 years ago by bjevers

comment:36 Changed 5 years ago by bjevers

Failure with 2.1.0 on Vista x64 Ultimate SP1. Sorry, accidentally attached my log file twice. Had to zip it because it was too large.

comment:37 Changed 5 years ago by gvancuts

I'm experiencing the same issue. You will find attached my setupapi.log file and I have also noticed that everytime I run the install there are several (up to 11) error logged in the system log for applications. The source of these is a crypt32. I don't understand the link but it's clearly correlated to my attempts to install VB (2.1.0 -- VirtualBox-2.1.0-41146-Win_x86.msi). My system runs Win XP SP3.

Event Type: Error Event Source: crypt32 Event Category: None Event ID: 8 Date: 30/12/2008 Time: 15:14:08 User: N/A Computer: GVANCUTS-MOBL4 Description: Failed auto update retrieval of third-party root list sequence number from: < http://www.download.windowsupdate.com/msdownload/update/v3/static/trustedr/en/authrootseq.txt> with error: This operation returned because the timeout period expired.

For more information, see Help and Support Center at  http://go.microsoft.com/fwlink/events.asp.

Changed 5 years ago by gvancuts

comment:38 Changed 5 years ago by mindriot101

I am also experiencing this problem, on Windows Vista 64, UAC and DEP are turned off, VirtualBox version 2.1.0. Also if i try and change directory by clicking on the browse button the installer crashes. I do not know if this is a related problem.

I've attatched 3 log files zipped.

Changed 5 years ago by mindriot101

comment:39 Changed 5 years ago by touche

Same error on Vista Home Premium x64. Occurs for me on all builds of the program. Would you like my log?

comment:40 Changed 5 years ago by riversol

Same issue with v2.10 on WinXp. Attempted cleanup suggested. Disabled Firewall and AV. Same result.

comment:41 Changed 5 years ago by Banjo

Same issue here with VirtualBox 2.1 under Vista Ultimate w/ SP1 (64bit) (UAC disabled) Just tried to create the log but when the installer runs no new file is made. Installed the MS fix linked above but that didn't help.

Banjo

comment:43 Changed 5 years ago by mlaccetti

VirualPC has the same problem...

comment:45 Changed 5 years ago by The MAZZTer

I had this problem with 2.1.0 but running the installer a second time resulted in a successful install.

Changed 5 years ago by Solo761

installer log and driver install logs

comment:46 Changed 5 years ago by mikelward

Adding self to CC list.

comment:47 Changed 5 years ago by touche

Update. On the Windows 7 Beta build 7000, the install path is set to default 64-bit. So that is one error down. But the install still fails. I also noticed that clicking the change install path button doesn't make WinInstaller fail.

Changed 5 years ago by andyw

Changed 5 years ago by andyw

comment:48 Changed 5 years ago by andyw

Cannot install VirtualBox 2.1 on WinXP SP3 Install rolls back shortly after 2nd "install anyway" dialog. Can only install if omit host interface network drivers which is no use for me.

SetupApi.log attached above zipped verbose msiexec log also attached above

comment:49 Changed 5 years ago by sandervl73

I'll clean up this defect as driver signing is unrelated. To restate: the VirtualBox drivers are signed, but not WHQL certified. This has no impact on the installation except for the additional dialogs asking for permission to install the drivers.

Two cases of failed installation have been observed:

- rollback during VBoxDrv.sys installation (accession violation error code)
- rollback during VBoxNetFlt.sys installation (new in 2.1.0)

comment:50 Changed 5 years ago by touche

Another update: The install went fine on my brother's system. He is using a e7300, and Vista Enterprise x64. Very odd...

comment:51 Changed 5 years ago by staro

Quick comment: Folks, I had same issue last night trying to install VirtualBox-2.1.0-41146-Win_x86.msi on my wife's HP laptop (XP - not sure which SP). The install rolls back after the 2nd 'install anyway' dialog as reported above. Sorry - don't have logs etc available as I write this.

comment:52 follow-up: ↓ 53 Changed 5 years ago by touche

Did someone fix the problem in the installer? It now installs fine on all of my x64 systems!

comment:53 in reply to: ↑ 52 Changed 5 years ago by Armada

Replying to touche:

Did someone fix the problem in the installer? It now installs fine on all of my x64 systems!

No, I downloaded the installer again and it's still rolling back.

comment:54 Changed 5 years ago by dtanderson

I just tried version 2.1.2 and it installed fine for me.

comment:55 Changed 5 years ago by mlaccetti

2.1.2 installed fine for me as well. Finally! :)

comment:56 Changed 5 years ago by mikelward

The home page still says 2.1.0 is the latest build. Where do I get 2.1.2?

Changed 5 years ago by mikelward

Changed 5 years ago by mikelward

comment:58 Changed 5 years ago by mikelward

2.1.2 from Softpedia still doesn't work.

Seems to be complaining about the USB drivers, but unchecking the USB driver box doesn't work around the problem.

Tried uploading MSI logs but Trac rejected it because it was too large. setupapi* were successfull uploaded.

comment:59 Changed 5 years ago by Armada

I can confirm that version 2.1.2 solved the problem for me too.

Changed 5 years ago by hannibalstgt

submitted by hannibalstgt on Thursday 01/21/2009 - VBox 2.1.2

comment:60 Changed 5 years ago by gerardr

I downloaded 2.1.2 following the links from sun.com. On XPsp3 with Bitdefender Firewall NDIS Filter Driver and Nvidia nForce on-board interface (plus some Nvidia Network Bus Enumerator device), installation with the host network interface fails. If I disable that portion of the install, installation is successful. This looks like the relevant log section:

MSI (s) (08:E0) [10:16:08:705]: Executing op: ActionStart(Name=InstallNetFlt) Action 10:16:08: InstallNetFlt. MSI (s) (08:E0) [10:16:08:705]: Executing op: CustomActionSchedule(Action=InstallNetFlt,ActionType=3073,Source=BinaryData,Target=InstallNetFlt,CustomActionData=C:\Program Files\Sun\xVM VirtualBox\) MSI (s) (08:E0) [10:16:08:720]: Creating MSIHANDLE (494) of type 790536 for thread 6112 MSI (s) (08:7C) [10:16:08:720]: Invoking remote custom action. DLL: C:\WINDOWS\Installer\MSID4B.tmp, Entrypoint: InstallNetFlt MSI (s) (08!A4) [10:16:08:736]: Creating MSIHANDLE (495) of type 790531 for thread 5284 Installing NetFlt MSI (s) (08!A4) [10:16:08:736]: Closing MSIHANDLE (495) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (496) of type 790531 for thread 5284 VBoxNetCfgWinInstallComponent: Install failed, hr (0x80070002)

MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (496) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (497) of type 790531 for thread 5284 VBoxNetCfgWinInstallNetComponent: VBoxNetCfgWinInstallComponent failed, hr (0x80070002)

MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (497) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (498) of type 790531 for thread 5284 VBoxNetCfgWinInstallSpecifiedComponent: VBoxNetCfgWinInstallNetComponent failed, hr (0x80070002)

MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (498) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (499) of type 790531 for thread 5284 InstallNetFlt: VBoxNetCfgWinInstallSpecifiedComponent failed, hr (0x80070002) MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (499) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (500) of type 790531 for thread 5284 converting hresult (0x80070002) to ERROR_GEN_FAILURE MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (500) of type 790531 for thread 5284 MSI (s) (08!A4) [10:16:08:767]: Creating MSIHANDLE (501) of type 790531 for thread 5284 Installing NetFlt done, r (0x1f) MSI (s) (08!A4) [10:16:08:767]: Closing MSIHANDLE (501) of type 790531 for thread 5284 MSI (s) (08:7C) [10:16:08:767]: Closing MSIHANDLE (494) of type 790536 for thread 6112 Action ended 10:16:08: InstallFinalize. Return value 3. MSI (s) (08:E0) [10:16:08:783]: User policy value 'DisableRollback' is 0 MSI (s) (08:E0) [10:16:08:783]: Machine policy value 'DisableRollback' is 0 MSI (s) (08:E0) [10:16:08:783]: Executing op: Header(Signature=1397708873,Version=301,Timestamp=976638453,LangId=1033,Platform=0,ScriptType=2,ScriptMajorVersion=21,ScriptMinorVersion=4,ScriptAttributes=1) MSI (s) (08:E0) [10:16:08:783]: Executing op: DialogInfo(Type=0,Argument=1033) MSI (s) (08:E0) [10:16:08:783]: Executing op: DialogInfo(Type=1,Argument=Sun xVM VirtualBox) MSI (s) (08:E0) [10:16:08:783]: Executing op: RollbackInfo(,RollbackAction=Rollback,RollbackDescription=Rolling back action:,RollbackTemplate=[1],CleanupAction=RollbackCleanup,CleanupDescription=Removing backup files,CleanupTemplate=File: [1]) Action 10:16:08: Rollback. Rolling back action: Rollback: InstallNetFlt MSI (s) (08:E0) [10:16:08:783]: Executing op: ActionStart(Name=InstallNetFlt) MSI (s) (08:E0) [10:16:08:783]: Executing op: ProductInfo(ProductKey={27BF988A-AD38-41F2-8012-B797A2BC7285},ProductName=Sun xVM VirtualBox,PackageName=VirtualBox-2.1.2-41885-Win_x86.msi,Language=1033,Version=33619970,Assignment=1,ObsoleteArg=0,ProductIcon=sunvboxiconPackageCode={2322471B-0821-49D5-AC0C-6A58EB91A72E},InstanceType=0,LUASetting=0,RemoteURTInstalls=0) Rollback: RollbackInstallNetFlt MSI (s) (08:E0) [10:16:08:783]: Executing op: ActionStart(Name=RollbackInstallNetFlt) MSI (s) (08:E0) [10:16:08:783]: Executing op: CustomActionRollback(Action=RollbackInstallNetFlt,ActionType=3329,Source=BinaryData,Target=UninstallNetFlt,CustomActionData=C:\Program Files\Sun\xVM VirtualBox\) MSI (s) (08:E0) [10:16:08:799]: Creating MSIHANDLE (502) of type 790536 for thread 6112 MSI (s) (08:68) [10:16:08:799]: Invoking remote custom action. DLL: C:\WINDOWS\Installer\MSID4C.tmp, Entrypoint: UninstallNetFlt MSI (s) (08!78) [10:16:08:814]: Creating MSIHANDLE (503) of type 790531 for thread 5496 Uninstalling NetFlt

comment:61 Changed 5 years ago by amram99

I was unable to install version 2.1.2. I already had 2.1.0 installed on my machine.

Setup: Windows XP SP3 VMWare co-installed, but I tried to disable all relevant services at startup to prevent clashes.

The first time it failed, I got a message that the Host Interface Networking Driver failed to install. After I clicked ok on this dialog box, the installation rolled back. Successive installation attempts still fail, but they don't tell me about this networking driver. Instead, they just roll back automatically.

I've attached logs (see amram99 zip file). The relevant section of the MSI log starts with this line:

DIFXAPP: ERROR: RETURN UpdateDriverForPlugAndPlayDevices. (Error code 0xE0000217: A service installation section in this INF is invalid.)

I noticed that my Host Networking Interface driver was messed up in the Device Manager. It had the yellow exclamation mark on the icon. I uninstalled this driver, reran the installation, and it worked that time! I was able to boot into one of my VMs and use the network, so all seems to be back to normal.

Changed 5 years ago by amram99

comment:62 Changed 5 years ago by amram99

By the way, I'm unable to add myself as a CC to this ticket. Is that something with the trac settings?

comment:63 Changed 5 years ago by frank

By adding your comments here you should receive messages regarding this ticket from now on. Assuming that you set the E-mail address in the trac settings correctly.

comment:64 Changed 5 years ago by staro

Hi all, 2.1.2 still fails installation on wife's laptop. XP Pro SP2 thx.

comment:65 Changed 5 years ago by pentagonik

@mikelward and staro:

Could you please upload your MSI and SetupAPI files as well? ZIP the files to fit into Trac.

comment:66 Changed 5 years ago by mikelward

pentagonik,

I don't have a setupapi.log, only setupapi.app.log and setupapi.dev.log as I already uploaded.

I'll upload the MSI log here now, but could you please ask your admins to remove the silly 600 KB maximum size rule? I shouldn't need to zip the file.

Changed 5 years ago by mikelward

MSI logs (zipped) from Jan 22 install attempt (should correspond to already uploaded setupapi.app.5.log and setupapi.dev.log)

comment:67 Changed 5 years ago by mikelward

These bits seem to be the most relevant, and suggest the USB driver is failing, as I guessed earlier.

DIFXAPP: ERROR encountered while installing driver package C:\Program Files\Sun\xVM VirtualBox\drivers\USB\device\VBoxUSB.inf

DIFXAPP: InstallDriverPackages failed with error 0x5

Action ended 16.41: InstallFinalize. Return value 3.
MSI (s) (AC:04) [16:41:29:625]: User policy value 'DisableRollback' is 0

Action 16:41:29: Rollback. Rolling back action:
Rollback: MsiInstallDrivers
MSI (s) (AC:04) [16:41:29:635]: Executing op: ActionStart(Name=MsiInstallDrivers,,)
MSI (c) (54:80) [16:41:39:853]: Note: 1: 1708 
MSI (c) (54:80) [16:41:39:855]: Product: Sun xVM VirtualBox -- Installation failed.

MSI (c) (54:80) [16:41:39:868]: Windows Installer installed the product. Product Name: Sun xVM VirtualBox. Product Version: 2.1.2. Product Language: 1033. Installation success or error status: 1603.

But oddly, unchecking the USB driver installer option doesn't work either.

Is System Restore somehow related here? Should I try with that off?

comment:68 Changed 5 years ago by mikelward

And of course, this bit from setupapi.dev.log looks very interesting:

>>>  [Staging Package To Driver Store - phase 1 - VBoxUSB.inf]

some lines cut out

!!!  sto: 14:40:47.635 Could not create temporary directory for driver package.

I'm running as myself, with UAC enabled, and said yes to the escalation prompts.

comment:69 Changed 5 years ago by mikelward

Ok, so what happens when I disable the USB driver is I get the same error for what I assume is the network driver, VBoxNetFlt:

>>>  [Staging Package To Driver Store - phase 1 - VBoxNetFlt.inf]
>>>  Section start 2009/01/27 09:12:29.754
     sto: 09:12:29.755 Inf Path = C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf
     sto: 09:12:29.756 Flags = 0
     sto: 09:12:29.757 Processor Architecture = 0
     inf: 09:12:29.761 Opened INF: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf' ([strings] <src = normal>)
     inf: 09:12:29.765 Opened INF: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf' ([strings] <src = normal>)
     inf: 09:12:29.769 Opened INF: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf' ([strings] <src = normal>)
     inf: 09:12:29.775 Opened INF: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf' ([strings] <src = normal>)
     inf: 09:12:29.852 Opened INF: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf' ([strings] <src = normal>)
!!!  sto: 09:12:29.855 Could not create temporary directory for driver package.
<<<  Section end 2009/01/27 09:12:29.903
<<<  [Exit status: FAILURE(0x80070005)]

So I'll try with BOTH disabled.

comment:70 Changed 5 years ago by mikelward

Worked with both drivers unchecked.

comment:71 Changed 5 years ago by pentagonik

Good news: We believe to have fixed the problem in a development build recently. To test this build please send me an email to <my nickname> at sun dot com (to prevent spam). I'll send you a download location to try out this build then.

comment:72 Changed 5 years ago by Solo761

I just tried 2.1.2 and it installed fine.

comment:73 Changed 5 years ago by staro

Hi all. The dev build c/o pentagonik worked for me! First successful install on (my wife's) laptop - XP Pro-SP2 host OS. Thanks!

comment:74 Changed 5 years ago by dtanderson

I also tried the dev build provided by pentagonik and worked without any issues :)

comment:75 Changed 5 years ago by echan101

Thanks pentagonik for the Beta. Finally got it working.

I have tried the new installation and it failed the same way (rolling back).

I had some old services (Deterministic Network Enhancer, QoS Packet Scheduler) hanging around that weren't uninstalled. I found this out by using the tips on  http://articles.techrepublic.com.com/5100-10878_11-6017628.html?tag=nl.e101 (via  http://forums.virtualbox.org/viewtopic.php?t=12309&postdays=0&postorder=asc&start=15).

I couldn't delete these in devmgmt.msc so I used RegEdit (backed up registry!) to find all keys with "VirtualBox" and I deleted these keys (some required me to change permissions before allowing me to delete them), then rebooted.

I installed the Beta, it failed, then I installed the Beta again and it worked.

So I cannot confirm if the Beta worked or whether the old device drivers were causing a conflict.

Either way it works now.

comment:76 Changed 5 years ago by gerardr

I had reported earlier the inability to install the network component. Seems there was something funky with my network setup, as nic1394 was marked as non-working, and trying to re-install the driver just resulted in an error of 'cannot find the file specified', with, of course, no file name provided. In searching the web for this error, it began to look like I'd have to do a re-install of Windows, since my "repair install" did not change the state of the nic1394 device. Upon doing this re-install of Windows XP SP2, and re-doing SP3, and any other security patch, I was able to install VirtualBox with both the USB and the Host Interface drivers.

comment:77 follow-up: ↓ 78 Changed 5 years ago by eleguen

I tried the dev build provided by pentagonik and it didn't work (it rolled back) on XP Home SP3. I sent logs to him and hope will have a response soon ...

comment:78 in reply to: ↑ 77 Changed 5 years ago by misha

Replying to eleguen and all seeing the Net component install-related problems:

Please send me a mail at Mikhail dot Sennikovsky at sun dot com. I'll then send you a link to a new test version containing a fix for the issue.

comment:79 Changed 5 years ago by sandervl73

  • Status changed from new to closed
  • Resolution set to fixed

Most installation failures should be fixed in 2.1.4. Please create a new defect if problems still persist. (this defect is too big already)

comment:80 follow-up: ↓ 82 Changed 5 years ago by billuh

  • Status changed from closed to reopened
  • Resolution fixed deleted

I had no problems with the 2.1.2. I decided to install the 2.1.4, that didn't work properly. So, I returned to the 2.1.2, the Installer crashed. I tired again to install the 2.1.2, I have, now, the problem of the rollinback. For the installation of the 2.1.4, it's the same problem. I can't use my VM.

comment:81 Changed 5 years ago by billuh

#-198 Ligne de commande traitée : C:\WINDOWS\system32\MsiExec.exe -Embedding 99952CA7498DD927791796F5632B5205 M Global\MSI0000
#E360 Un fichier "c:\windows\system32\drvstore\vboxdrv_927f812bdc930ad7a29b5fafc0ae8fdd4bcc798c\vboxdrv.cat" non signé ou incorrectement signé pour le pilote "System" sera installé (Stratégie = ignorer). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
#-024 Copie du fichier "C:\WINDOWS\system32\DRVSTORE\VBoxDrv_927F812BDC930AD7A29B5FAFC0AE8FDD4BCC798C\VBoxDrv.sys" sur "C:\WINDOWS\system32\DRIVERS\VBoxDrv.sys".
#E360 Un fichier "C:\WINDOWS\system32\DRVSTORE\VBoxDrv_927F812BDC930AD7A29B5FAFC0AE8FDD4BCC798C\VBoxDrv.sys" non signé ou incorrectement signé pour le pilote "System" sera installé (Stratégie = ignorer). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
#-198 Ligne de commande traitée : C:\WINDOWS\system32\MsiExec.exe -Embedding 99952CA7498DD927791796F5632B5205 M Global\MSI0000
#E360 Un fichier "c:\windows\system32\drvstore\vboxusbmon_dba0e24b0b1b633bc151aa42d412e15e39528ae9\vboxusbmon.cat" non signé ou incorrectement signé pour le pilote "System" sera installé (Stratégie = ignorer). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
#-024 Copie du fichier "C:\WINDOWS\system32\DRVSTORE\VBoxUSBMon_DBA0E24B0B1B633BC151AA42D412E15E39528AE9\VBoxUSBMon.sys" sur "C:\WINDOWS\system32\DRIVERS\VBoxUSBMon.sys".
#E360 Un fichier "C:\WINDOWS\system32\DRVSTORE\VBoxUSBMon_DBA0E24B0B1B633BC151AA42D412E15E39528AE9\VBoxUSBMon.sys" non signé ou incorrectement signé pour le pilote "System" sera installé (Stratégie = ignorer). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
[2009/02/19 14:55:40 5600.3]
#-198 Ligne de commande traitée : C:\WINDOWS\system32\MsiExec.exe -Embedding 99952CA7498DD927791796F5632B5205 M Global\MSI0000
#E367 Un fichier "C:\WINDOWS\system32\DRVSTORE\VBoxUSB_51DA57F9B1DEF33BEAF0762ED4C87083D630ACE4\VBoxUSB.cat" non signé ou incorrectement signé sera installé
(stratégie = avertir, l'utilisateur a répondu "OK"). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
[2009/02/19 14:55:42 5600.3]
#-198 Ligne de commande traitée : C:\WINDOWS\system32\MsiExec.exe -Embedding 99952CA7498DD927791796F5632B5205 M Global\MSI0000
#E361 Un fichier "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_76C8B5AFADED1D593721C2A90DE946214DAD6C59\VBoxNetFlt.cat" non signé ou incorrectement signé sera installé (Stratégie = ignorer). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.
[2009/02/19 14:55:42 5600.2]
#-198 Ligne de commande traitée : C:\WINDOWS\system32\MsiExec.exe -Embedding 99952CA7498DD927791796F5632B5205 M Global\MSI0000
#E367 Un fichier "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_A812BEFDD0BCE8930F851F23942FED23AF905423\VBoxNetFlt_m.cat" non signé ou incorrectement signé sera installé
(stratégie = avertir, l'utilisateur a répondu "OK"). Erreur 0x800b0110: Le certificat n'est pas valide pour l'usage requis.

comment:82 in reply to: ↑ 80 Changed 5 years ago by misha

Replying to billuh:
Could you create and post here the install log files so we could figure out the problem?
Here are the steps to do that:

  1. Enable setupapi logging in the registry: In key "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Setup\"

set/create a value called "LogLevel" of the type DWORD and set it to the hexadecimal value 4800FFFF. This will enable the verbose driver logging.

  1. remove or move somewhere the current setupapi log files (<windir>/setupapi.log for XP or <windir>/inf/setupapi.dev.log and <windir>/inf/setupapi.app.log on Vista)
  2. run "msiexec /i <installer_file_name.msi> /l*xv <log_file_name>" from the directory with your <installer_file_name.msi> installer msi file -

this will tell the installer to make a verbose logging to the <log_file_name> file and will also fill the setupapi log information to setupapi log file mentioned in step#2

After the above steps could you post me the <log_file_name> file mentioned in Step#3 and newly created setupapi log files (<windir>/setupapi.log for XP or <windir>/inf/setupapi.dev.log and <windir>/inf/setupapi.app.log on Vista) ?

comment:83 Changed 5 years ago by sieve

When I run on Microsoft Vista:

msiexec /i VirtualBox-2.1.4-42893-Win_x86.msi /l*xv LOGFILE.txt

Accept all the defaults. Then it pauses in the progress bar with the slightest sliver of progress made of the install. It pauses 15 seconds. Then a dialog opens that says "The system cannot open the device or file specified" with a retry and cancel. Retry doesn't do anything. Then you cancel and you get a second dialog: "The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2755."

The log file near the end it presents this error:

           ******* Product: C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi
           ******* Action: INSTALL
           ******* CommandLine: **********
MSI (s) (EC:84) [00:55:00:084]: Machine policy value 'DisableUserInstalls' is 0
MSI (s) (EC:84) [00:55:00:084]: Setting cached product context: User non-assigned for product: 1C79E9FA1347D6248A5DBA4E90590C1B
MSI (s) (EC:84) [00:55:00:084]: Using cached product context: User non-assigned for product: 1C79E9FA1347D6248A5DBA4E90590C1B

...(bunch or repeats of the above two lines)...

MSI (s) (EC:84) [00:55:07:946]: Note: 1: 1309 2: 5 3: C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi 
DEBUG: Error 2867:  The error dialog property is not set
The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2867. The arguments are: , , 
MSI (c) (98:E0) [00:55:07:946]: Font created.  Charset: Req=0, Ret=0, Font: Req=MS Shell Dlg, Ret=MS Shell Dlg

The system cannot open the device or file specified.

...(some more stuff)...

MSI (s) (EC:84) [00:55:10:146]: I/O on thread 5644 could not be cancelled. Error: 1168
MSI (s) (EC:84) [00:55:10:146]: MainEngineThread is returning 110
MSI (s) (EC:84) [00:55:10:146]: Calling SRSetRestorePoint API. dwRestorePtType: 13, dwEventType: 103, llSequenceNumber: 139, szDescription: "".
MSI (s) (EC:84) [00:55:10:146]: The call to SRSetRestorePoint API succeeded. Returned status: 0.
MSI (c) (98:5C) [00:55:10:286]: Note: 1: 2755 2: 110 3: C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi 
DEBUG: Error 2755:  Server returned unexpected error 110 attempting to install package C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi.
MSI (c) (98:E0) [00:55:10:302]: Font created.  Charset: Req=0, Ret=0, Font: Req=MS Shell Dlg, Ret=MS Shell Dlg

The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2755. The arguments are: 110, C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi, 
MSI (c) (98:5C) [00:55:11:144]: Product: Sun xVM VirtualBox -- The installer has encountered an unexpected error installing this package. This may indicate a problem with this package. The error code is 2755. The arguments are: 110, C:\Apps\Install\OS\VirtualBox-2.1.4-42893-Win_x86.msi, 

MSI (c) (98:5C) [00:55:11:144]: Back from server. Return value: 110

comment:84 Changed 5 years ago by dave_c

I can't upgrade from 2.1.2 to 2.1.4. The following lines is the MSI log (in SimpleChines language)

[SetupAPI Log] 操作系统版本 = 5.2.3790 Service Pack 2 平台 ID = 2 (NT) Service Pack = 2.0 套件 = 0x0112 产品类型 = 3 结构 = x86 [2009/02/25 17:13:28 3888.29] #-198 处理的命令行: C:\WINDOWS\system32\MsiExec.exe -Embedding 995124B2D4297115C04DA0D97199DEC5 M Global\MSI0000 #W082 无法在 "C:\WINDOWS\INF\oem30.inf" 中找到非空服务节 [VBoxNetFlt.ndi.Remove.Services]。 错误 0xe0000102: 在 INF 中找不到所需的行。 [2009/02/25 17:13:30 3888.56 Driver Install] #-019 正在查找硬件 ID(s): sun_vboxnetflt #-198 处理的命令行: C:\WINDOWS\system32\MsiExec.exe -Embedding 995124B2D4297115C04DA0D97199DEC5 M Global\MSI0000 #I022 在 "C:\WINDOWS\inf\oem30.inf" 中发现了 "sun_VBoxNetFlt";设备: "VirtualBox Host Interface Networking Driver";驱动程序: "VirtualBox Host Interface Networking Driver";提供商: "Sun Microsystems, Inc.";制造商: "Sun Microsystems, Inc.";节名称: "VBoxNetFlt.ndi" #I023 实际安装节: [VBoxNetFlt.ndi]。等级: 0x00000000。驱动程序日期: 08/13/2008。版本: 1.1.0.1。 #I063 选定的驱动程序从 "c:\windows\inf\oem30.inf" 中节 [VBoxNetFlt.ndi] 安装。 #I320 设备的类别 GUID 依旧为: {4D36E974-E325-11CE-BFC1-08002BE10318}。 #I060 设置所选的驱动程序。 #I058 选择最兼容的驱动程序。 [2009/02/25 17:13:30 3888.58] #-198 处理的命令行: C:\WINDOWS\system32\MsiExec.exe -Embedding 995124B2D4297115C04DA0D97199DEC5 M Global\MSI0000 #I442 在安装的 Authenticode(tm) 目录 "C:\WINDOWS\system32\CatRoot\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}\oem30.CAT" 中找到文件 "c:\windows\inf\oem30.inf" (密钥 "vboxnetflt.inf")的有效签名。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 #W334 扫描文件队列时未能验证编录。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 #W361 一个未经过签名、签名不正确或 Authenticode(TM) 签名的文件 "C:\WINDOWS\system32\CatRoot\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}\oem30.CAT" 将得到安装(策略=忽略)。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 #-024 正在将文件 "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_76C8B5AFADED1D593721C2A90DE946214DAD6C59\VBoxNetFltNotify.dll" 复制到 "C:\WINDOWS\system32\VBoxNetFltNotify.dll"。 #I440 文件 "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_76C8B5AFADED1D593721C2A90DE946214DAD6C59\VBoxNetFltNotify.dll" (密钥 "VBoxNetFltNotify.dll") 在 Authenticode(TM) 目录 "C:\WINDOWS\system32\CatRoot\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}\oem30.CAT" 中签名。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 #-336 正在通过临时文件 "C:\WINDOWS\system32\SET55.tmp" 将文件 "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_76C8B5AFADED1D593721C2A90DE946214DAD6C59\VBoxNetFltNotify.dll" 复制到 "C:\WINDOWS\system32\VBoxNetFltNotify.dll"。 #I440 文件 "C:\WINDOWS\system32\SET55.tmp" (密钥 "VBoxNetFltNotify.dll") 在 Authenticode(TM) 目录 "C:\WINDOWS\system32\CatRoot\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}\oem30.CAT" 中签名。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 #-336 正在通过临时文件 "C:\WINDOWS\system32\DRIVERS\SET56.tmp" 将文件 "C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_76C8B5AFADED1D593721C2A90DE946214DAD6C59\VBoxNetFlt.sys" 复制到 "C:\WINDOWS\system32\DRIVERS\VBoxNetFlt.sys"。 #I440 文件 "C:\WINDOWS\system32\DRIVERS\SET56.tmp" (密钥 "VBoxNetFlt.sys") 在 Authenticode(TM) 目录 "C:\WINDOWS\system32\CatRoot\{F750E6C3-38EE-11D1-85E5-00C04FC295EE}\oem30.CAT" 中签名。 错误 0xe0000242: 尚未建立对 Authenticode(TM) 签名的目录的发布者信任。 [2009/02/25 17:13:33 3888.86 Driver Install] #-019 正在查找硬件 ID(s): sun_vboxnetfltmp #-198 处理的命令行: C:\WINDOWS\system32\MsiExec.exe -Embedding 995124B2D4297115C04DA0D97199DEC5 M Global\MSI0000 #W059 选择最兼容的驱动程序失败。 错误 0xe0000228: 这个设备没有兼容驱动程序。

Changed 5 years ago by dave_c

comment:85 Changed 5 years ago by mfloryan

Run into the same problem recently. Had VirtualBox-2.0.4-38406-Win_x86 working fine (with the network driver) and wanted to updated. The uninstall for the previous version has crashed (failed to finish) - I suspect failing to remove the network driver. Now I cannot install the new version VirtualBox-2.1.4-42893-Win_x86.

The following is the relevant MSI LOG file extract:

Action 09:48:58: MsiInstallDrivers. 
DIFXAPP: ENTER: InstallDriverPackages()
DIFXAPP: 'CustomActionData' property 'DIFxApp Version' is 2.1.
DIFXAPP: 'CustomActionData' property 'UI Level' is 5.
DIFXAPP: 'CustomActionData' property 'componentId' is {AC3FB68C-FE7D-40FC-BFF4-3A6B3B41513B}.
DIFXAPP: 'CustomActionData' property 'componentPath' is C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\.
DIFXAPP: 'CustomActionData' property 'flags' is 0xF.
DIFXAPP: 'CustomActionData' property 'installState' is 2.
DIFXAPP: 'CustomActionData' property 'ProductName' is Sun xVM VirtualBox.
DIFXAPP: 'CustomActionData' property 'ManufacturerName' is Sun Microsystems, Inc..
DIFXAPP: INFO: opening HKEY_USERS 'S-1-5-21-1085031214-2000478354-839522115-87659\Software\Microsoft\Windows\CurrentVersion\DIFxApp\Components\{AC3FB68C-FE7D-40FC-BFF4-3A6B3B41513B}' (User's SID: 'S-1-5-21-1085031214-2000478354-839522115-87659') ...
DIFXAPP: INFO:   ENTER:  DriverPackageInstallW
DIFXAPP: INFO:   Copied 'VBoxNetFlt.inf' to driver store...
DIFXAPP: INFO:   Copied 'VBoxNetFlt.cat' to driver store...
DIFXAPP: INFO:   Commiting queue...
DIFXAPP: INFO:   Copied file: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.sys' -> 'C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_B38D8AB7B9E07FB757A4EB5657D3193CB3F875E8\VBoxNetFlt.sys'.
DIFXAPP: INFO:   Copied file: 'C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFltNotify.dll' -> 'C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_B38D8AB7B9E07FB757A4EB5657D3193CB3F875E8\VBoxNetFltNotify.dll'.
DIFXAPP: INFO:   installing network driver 'C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_B38D8AB7B9E07FB757A4EB5657D3193CB3F875E8\VBoxNetFlt.inf'
DIFXAPP: ERROR:  Error 0x800F0203 encountered while installing the inf 'C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_B38D8AB7B9E07FB757A4EB5657D3193CB3F875E8\VBoxNetFlt.inf'. Unable to install network component 'sun_VBoxNetFlt'
DIFXAPP: ERROR:  Failed to install the network driver INF C:\WINDOWS\system32\DRVSTORE\VBoxNetFlt_B38D8AB7B9E07FB757A4EB5657D3193CB3F875E8\VBoxNetFlt.inf. Error code 0x643
DIFXAPP: ERROR:  The driver installation failed. Attempting to undo system changes ... (Error code 0x643: Fatal error during installation.)
DIFXAPP: INFO:   Successfully removed '{AC3FB68C-FE7D-40FC-BFF4-3A6B3B41513B}' from reference list of driver store entry ''
DIFXAPP: INFO:   Driver Store entry '' removed.
DIFXAPP: INFO:   RETURN: DriverPackageInstallW  (0x643)
DIFXAPP: ERROR encountered while installing driver package C:\Program Files\Sun\xVM VirtualBox\drivers\network\netflt\protocol\VBoxNetFlt.inf
DIFXAPP: InstallDriverPackages failed with error 0x643
DIFXAPP: RETURN: InstallDriverPackages() 1603 (0x643)
Action ended 09:48:59: InstallFinalize. Return value 3.

Windows XP SP3

comment:86 Changed 5 years ago by mfloryan

Perhaps worth mentioning that 2.0.4 installed and works on my system correctly.

comment:87 Changed 5 years ago by postitnote

Had this problem on XP SP2 and it turned out because the MSI file was encrypted. After I disabled encryption on the file, installation proceeded normally.

Changed 5 years ago by skin27

comment:88 follow-up: ↓ 89 Changed 5 years ago by skin27

VB installs correctly until 2.06. After that I get the error reported by bard (XP SP3), also on the latest beta (VirtualBox-2.2.0_BETA1-44647-Win.exe).

comment:89 in reply to: ↑ 88 Changed 5 years ago by misha

Replying to skin27: Could you attach setupapi log files as well please as described in  Comment 82.
Thanks.

Changed 5 years ago by skin27

comment:90 Changed 5 years ago by doudoudoudou

I had same problem. I'm using 2.14 now. But I can't install VirtualBox-2.2.0_BETA2-45227-Win.exe. It say: Could not create temporary directory!

LOG file:

Verbose logging started: 2009-4-2 20:28:16 Build type: SHIP UNICODE 3.01.4000.4039 Calling process: E:\Downloads\VirtualBox-2.2.0_BETA2-45227-Win.exe

MSI (c) (A0:10) [20:28:16:578]: Resetting cached policy values MSI (c) (A0:10) [20:28:16:578]: Machine policy value 'Debug' is 0 MSI (c) (A0:10) [20:28:16:578]: * RunEngine:

* Product: C:\DOCUME~1\ztt\LOCALS~1\Temp\VirtualBox\VirtualBox-2.2.0_BETA2-r45227-MultiArch_x86.msi * Action: * CommandLine:

MSI (c) (A0:10) [20:28:16:578]: Note: 1: 2203 2: C:\DOCUME~1\ztt\LOCALS~1\Temp\VirtualBox\VirtualBox-2.2.0_BETA2-r45227-MultiArch_x86.msi 3: -2147287037 MSI (c) (A0:10) [20:28:16:578]: MainEngineThread is returning 3

Verbose logging stopped: 2009-4-2 20:28:16

I think maybe the path "C:\DOCUME~1\ztt\LOCALS~1\Temp\VirtualBox" is invalid.

comment:91 Changed 5 years ago by The MAZZTer

That path is indeed valid UNLESS:

1) You have short file names disabled (this is not the default setting)... VirtualBox and/or Windows Installer should not be using short file names, only legacy apps (from 15+ years ago) should need to use them. 2) You are running Vista (C:\Documents and Settings is no longer the location of user profiles). 3) Your username in Windows is not ztt (that appears to be what it is). 4) You did some crazy stuff to your Windows profile layout and broke everything.

A double backslash is ignored (Windows treats it as one backslash) and the ~ names are short file names which SHOULD correspond to the proper long ones (if you know how to use cmd.exe you can see short file names with dir /-x).

comment:92 in reply to: ↑ description Changed 5 years ago by Trystian

I installed VirtualBox-2.2.0-45846-Win.exe (on Windows XP SP3), then uninstalled it due to some networking issues. I then tried to reinstall it, and it would rollback each time, without installing.

I found that when it uninstalled the first time, it removed "c:\windows\inf\oem72.inf", and possibly "c:\windows\inf\oem72.pnf" from the system, which it needed to reinstall. It shouldn't be removing those files in the first place.

Anyhow, I had a backup of those two files, so I placed them back in the "c:\windows\inf\" folder, and it reinstalled without a problem.

If you need a copy of these files, you can find a backup here:  http://www.trystiansky.com/dl/oem72.zip

-Trystian

comment:93 Changed 5 years ago by doudoudoudou

Hi MAZZTer: Can you tell me how to install VirtualBox-2.2.0_BETA2-45227-Win.exe on my system. My system is xp sp2. thanks.

comment:94 Changed 5 years ago by cawilde

I just tried to upgrade from 2.1.4 to 2.2.0 on WinXP SP3. The result was a bad bridged network driver that would not initialize. Attempts to uninstall resulted in the rollback everyone has been seeing here.

The fix was to uninstall the bridged network driver in the Windows device manager. Again, an attempt to uninstall 2.2.0 resulted in rollback. However, using the Change and Repair options in the Install/Remove programs for Virtual Box then actually did appear to repair the VirtualBox installation - no rollback.

I ran a virtual machine and discovered all was well, except that I could not get network access (Bridged network). I then did a normal uninstall and reinstall of 2.2.0 and all is now well, including bridged networking

I suspect the problem may be an artifact of not rebooting before installing 2.2.0.

comment:95 Changed 5 years ago by misha

To all having issues with bridged interfaces not being displayed or having the install problems: Please send me a mail at Mikhail dot Sennikovsky at sun dot com. I'll then send you a link to a new test VBox version containing installation fixes.

To all not being able to uninstall VBox 2.2: Please see my comment 6 to #3701

comment:96 Changed 5 years ago by pentagonik

As we gonna release a new version of VBox soon, please write me an e-mail to pentagonik at sun dot com to get the latest test version of VBox which now should be possible to install on your system. Please let me also know your host OS (Windows only!) and a short error description plus VBox version you tried to install before. Thanks!

comment:97 Changed 5 years ago by sandervl73

  • Status changed from reopened to closed
  • Resolution set to fixed

Please try again with 2.2.2 and reopen if necessary.

comment:98 Changed 5 years ago by march

  • Status changed from closed to reopened
  • Resolution fixed deleted

When install 2.2.2,failed and say "cannot open temporary directory".

comment:99 Changed 5 years ago by march

I System is Windows xp sp3(Lenovo OEM). I can install VBOX 2.1.4 without any error, and can not install any version over the 2.2.2.

comment:100 Changed 5 years ago by NewIpaqy

Got error 1603 with 2.2.2 on Vista 32bit.

comment:101 Changed 5 years ago by pentagonik

@march: Which language do you use for your operating system? Do you have a special location for your temporary directory?

comment:102 Changed 5 years ago by gleira

I have version 2.2.0 installed on Windows XP SP3 Spanish. It is fully updated.

I changed my temp location to

c:\documents and settings\gleira\configuracion local\temp

It used to be "configuración", but some programs have problems with the tilde.

I installed version 2.1.4 (or earlier, I'm not sure), and have upgraded without problems up to 2.2.0.

Now, I can't install 2.2.2. It get the "rollling back" message.

I have tried uninstalling 2.2.0, but I get a similar message.

If you want me to send any log files, please tell me were they are, I can't fint any virtualbox log files anywere.

comment:103 Changed 5 years ago by pentagonik

@gleira: Please take a look at  http://www.virtualbox.org/wiki/MSI_Logging

comment:104 Changed 5 years ago by pentagonik

@march and all who have the "Can't create temporary directory" problem: Please write me an e-mail to pentagonik at sun dot com to get a new test version.

comment:105 Changed 5 years ago by michel

i had the same rolling back issue on (windows7 RC 7100)2.2.0-45846 --> 2.2.2. in my case it was resolved by doing a repair of the old 2.2.0-45846, followed by the upgrade to 2.2.2

comment:106 Changed 5 years ago by Beeker

I can confirm this issue can be fixed by repairing the current install, reboot, install the new version. I did this on a XP SP3 box upgrading from 2.2.0-45846 to 2.2.2-r46594.

My error was DIFXAPP: ERROR 0x2 encountered while opening persistent-info key for component '{B7D782D2-96DF-4775-A0E1-A76CF7B04B65}'. I thought it had to do with my disabled Host-Only NIC, but the install still failed with the same error after I enabled it.

comment:107 Changed 5 years ago by aquadrop

Hi, I'm having issues and the same kind of problems upgrading from 2.2.0 to 2.2.2 on Vista Business SP1, on a Dell Vostro 420 (Intel core 2 Quad Q9550). Tried to: upgrade from 2.2.0 to 2.2.2 uninstall 2.2.0 repair installation the installer fix from microsoft

and all failed. Now my VM cannot see the network & usb subsystem...

PS: i have windows temporary files located in Z: drive

comment:108 Changed 5 years ago by aquadrop

PPS: my install log file is here:  http://www.paolostefan.it/MSIac86c.zip . Hope it can help someone, and someone can help me ;)

Changed 5 years ago by aquadrop

Installation (failed) log file

comment:109 Changed 5 years ago by Beeker

@aquadrop

Have you even tried to read the log? On line 2090 you'll find the exact same error as I've posted here 25 hours ago...

If the repair -> reboot -> install doesn't work for you, try a complete uninstall (and then try to find the registry key {B7D782D2-96DF-4775-A0E1-A76CF7B04B65}) and post your findings here please.

comment:110 Changed 5 years ago by aquadrop

Hi,

thanx for the suggestion but as I supposed, it did not help. The repair and uninstall both roll back and I'm unable to proceed. Regedit finds that key... but I dunno what to do with these values.

I'm attaching the screenshot shortly.

Changed 5 years ago by aquadrop

Regedit after failed repair and uninstall

comment:111 follow-up: ↓ 112 Changed 5 years ago by Yuriy_KH

Same issue when trying to update 2.2.0 to 2.2.2

DIFXAPP: UninstallDriverPackages() DIFXAPP: 'CustomActionData' property 'DIFxApp Version' is 2.1. DIFXAPP: 'CustomActionData' property 'UI Level' is 5. DIFXAPP: 'CustomActionData' property 'componentId' is {B7D782D2-96DF-4775-A0E1-A76CF7B04B65}. DIFXAPP: 'CustomActionData' property 'flags' is 0xF. DIFXAPP: 'CustomActionData' property 'ProductName' is Sun xVM VirtualBox. DIFXAPP: 'CustomActionData' property 'ManufacturerName' is Sun Microsystems, Inc.. DIFXAPP: ERROR 0x2 encountered while opening persistent-info key for component '{B7D782D2-96DF-4775-A0E1-A76CF7B04B65}' DIFXAPP: UninstallDriverPackages failed with error 0x2 DIFXAPP: RETURN: UninstallDriverPackages() 2 (0x2) Action ended 13:35:02: InstallFinalize. Return value 3. Action 13:35:02: Rollback. Rolling back action:

comment:112 in reply to: ↑ 111 Changed 5 years ago by misha

Replying to Yuriy_KH and others seeing problem with 2.2.0 to 2.2.2 update:
You have to uninstall the 2.2.0 before installing the 2.2.2.
In case you have issues with uninstalling VBox 2.2, please follow the instructions  here on how to solve them

comment:113 Changed 5 years ago by aquadrop

misha, thanks a lot, it's working now!!!

comment:114 Changed 5 years ago by rogerdpack

got this same thing upgrading 2.2.0 to 2.2.2 Fix was to download the CleanUp util, instruct it to remove settings for virtualbox 2.2.0 then install 2.2.2 which I *think* is the equivalent of uninstalling then installing fresh. Somewhat frustrating. Thanks! -=r

comment:115 follow-up: ↓ 116 Changed 5 years ago by kiz

same thing upgrading from 2.4 to 3.0.0

also, when i try to: msiexec /i v.exe /le vbox.log it said that that file cannot be opened, but i can open it manually..

im using XP pro SP3..

comment:116 in reply to: ↑ 115 Changed 5 years ago by kiz

Replying to kiz:

same thing upgrading from 2.4 to 3.0.0

also, when i try to: msiexec /i v.exe /le vbox.log it said that that file cannot be opened, but i can open it manually..

im using XP pro SP3..

i'm sorry i mean 2.2.0r45846 not 2.4

comment:117 Changed 5 years ago by kiz

but it's successful if i upgrade from 2.2.0 (repaired, thx God i still have the installer) to 2.2.2 and to 2.2.4 now i'm tryin' upgrade from 2.2.4 to 3.0.0

comment:118 Changed 5 years ago by kiz

so the tips if you fail to upgrade from 220 to 300:

  1. install 220 to 300, once
  2. uninstall 220, you will face fatal error, you cannot go to step 3 or 4 if you not do this step
  3. run vbox220.exe, and repair
  4. run vbox222.exe, and success
  5. run vbox224.exe, and success
  6. run vbox300.exe, and yay~!

comment:119 Changed 5 years ago by amc

Windows Vista 32-bit I had virtualbox 3.02 installed, and I decided to upgrade when VB 3.04 came out. I ran the installer, it gave me the "setup ended prematurely" message. At which point my 3.02 install was now borked. I've tried reinstalling, 3.04,3.02,and 3.00 with no success. Same problem each time. I can't uninstall them, because they do not register as installed.

Please help, I'm going crazy and I need to work on items that are in my virtual machine!

Every time I try it I get the following error message in my setupapi.dev.log:

     inf:      Opened INF: 'C:\Windows\system32\DriverStore\Temp\{21014254-2091-4a0a-8f97-ac0e4a8630ae}\Package\VBoxUSB.inf' ([strings] <src = normal>)
     inf:      Opened INF: 'C:\Windows\system32\DriverStore\Temp\{21014254-2091-4a0a-8f97-ac0e4a8630ae}\Package\VBoxUSB.inf' ([strings] <src = normal>)
!!!  idb:      Error 0x00000020 registering/publishing 'VBoxUSB.inf'
!!!  idb:      Error 32: The process cannot access the file because it is being used by another process.
!!!  sto:      Failed to publish inf file to inf directory.
!!!  sto:           Error = 80070020
!!!  sto:           Inf Path = C:\Windows\system32\DriverStore\FileRepository\vboxusb.inf_c798e8d7\VBoxUSB.inf
     sto:           Commiting system restore point.
     sto: {Staging Package To Driver Store - phase 2 exit(80070020)}
<<<  Section end 2009/08/10 16:31:32.757
<<<  [Exit status: FAILURE(0x80070020)]

I've tried deleting all the vbox* folders in the DriverStore\FileRepository before the install, I've tried shutting off my AV (Eset Nod32 4.0.314.0). I have no other active AV/Antispyware (except windows defender I guess).

Nothing does the trick! I've attached my log and setupapi files.

Changed 5 years ago by amc

The logs from my failed install of 3.04

comment:120 Changed 5 years ago by amc

restarted again and ran it one last time and it worked! My guess is that it is some sort of combination of deleting all of the vbox* files (wherever they may hide, mostly in windows\system32), and then restarting to free up the final file locks.

comment:121 Changed 5 years ago by skwlilac

I had this problem in Windows XP SP3 installing VirtualBox 3.0.4. It turned out that I was running with c:\documents and settings\<user>\Local Settings\Temp encrypted due to a local edict. I assume that the unpacked install bundle was then inaccessible by the system parts of MSI. Cleaning, unencrypting my temp directory and reinstalling worked a treat.

comment:122 Changed 5 years ago by JarrettBillingsley

I haven't been able to install any update since 2.2.0. Every single time it does the "rolling back action" error. It's really getting frustrating. No amount of restarting, disabling AV etc. helps. I'm on XP SP2.

comment:123 Changed 5 years ago by JarrettBillingsley

Well uh.. scratch that. I looked through the MSI logs, and found I had the same error as amram99. So I did the same thing he did, and now it worked. I could have sworn I did that before, but whatever.

comment:124 Changed 5 years ago by loomy

Uninstalling the network interface from device manager did not solve my installation problem like it did for amram99 and JarrettBillingsley.

comment:125 Changed 4 years ago by Technologov

Is this still relevant for v3.x ?

comment:126 Changed 4 years ago by Technologov

No response, please close.

-Technologov

comment:127 Changed 4 years ago by frank

  • Status changed from reopened to closed
  • Resolution set to fixed

comment:128 Changed 4 years ago by DirkRuys

  • Status changed from closed to reopened
  • Resolution fixed deleted

I'm having exactly the same issue on Windows 7 and VB 3.1 (upgrading from 3.0). The installer takes a very long time and then aborts with the message "Sun virtualbox wizard ended prematurely"

In the Application Windows Logs, I see:

  • System
    • Provider [ Name] MsiInstaller
    • EventID 1042 [ Qualifiers] 0 Level 4 Task 0 Keywords 0x80000000000000
    • TimeCreated [ SystemTime] 2009-12-01T19:22:47.000000000Z EventRecordID 9527 Channel Application Computer THEDOCTOR.NCC74656.be
    • Security [ UserID] S-1-5-18
  • EventData

C:\Temp\VirtualBox\VirtualBox-3.1.0-r55467-MultiArch_x86.msi 5612 (NULL) (NULL) (NULL) (NULL)

And just before that one:

  • System
    • Provider [ Name] Windows Error Reporting
    • EventID 1001 [ Qualifiers] 0 Level 4 Task 0 Keywords 0x80000000000000
    • TimeCreated [ SystemTime] 2009-12-01T19:22:46.000000000Z EventRecordID 9526 Channel Application Computer THEDOCTOR.NCC74656.be Security
  • EventData

0 PnPDriverImportError Not available 0 x86 00000020 VBoxUSB.inf f9793b4aa1157e36458904c567f4b727ea8f5c42 C:\ProgramData\Microsoft\Windows\WER\ReportQueue\NonCritical_x86_19dbfa9604744c7d1ed320caa21ac3c6eaca_18696de5 0 e760deca-deae-11de-95ee-0019155a2d53 4

In the device manger, the installer apparently removed the network bridge.

comment:129 Changed 4 years ago by mhamann

I have the same issue, VirtualBox 3.1.2-5612 on Windows 7 x64 RTM. Can't get it installed. USB driver not working correctly, possibly Network as well, but the install hasn't ever gotten that far.

comment:130 Changed 4 years ago by DirkRuys

I just had the same issue again with 3.1.2-5612 under Windows 7 32 bit : Installation error: MSI Error 1603

This is how I got it installed: Run AutoRuns (SysInternals) and remove (under drivers)

VBoxDrv VBoxNetAdp VBoxNetFlt VBoxUSBMon

Delete all VBox* in C:\Windows\System32\drivers

VBoxDrv.sys VBoxNetAdp.sys VBoxNetFlt.sys VBoxUSBMon.sys

In C:\Windows\System32\DriverStore\FileRepository delete all vbox references

vboxnetadp.inf_x86_neutral_6509aa9bff9000e0 vboxnetflt.inf_x86_neutral_2387afa7625b72e3 vboxnetflt_m.inf_x86_neutral_b1c6f168735decba vboxusb.inf_x86_neutral_e33a15402deb8597 rm -rf vbox*

Rebooted Then re-installed .. this time the installation worked!

Changed 4 years ago by adeep

Virtualbox v 3.1.2 Setup fail msi log

comment:131 Changed 4 years ago by Vacca

I get an error 1620 when trying to install the latest version (3.2.6). I completely uninstalled VirtualBox and still got the same error on Windows 7 x64. I then tried the previous version and it installed fine, but no matter what I try, I cant get the newest to install..

comment:132 Changed 3 years ago by frank

Could you try to uninstall VirtualBox, reboot (just for sanity), remove %SystemRoot%\inf\INFCACHE.1 (Windows XP) or %SystemRoot%\System32\DriverStore\INFCACHE.1 (Windows 7), reboot and try to install again.

Changed 3 years ago by Cime

Cime's problem

comment:133 Changed 3 years ago by Cime

Please help me.

Changed 19 months ago by co22

comment:134 Changed 19 months ago by co22

hi i have same problem see VBoxInstall.rar attachment

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use